"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));

var _react = _interopRequireDefault(require("react"));

var _reactDom = _interopRequireDefault(require("react-dom"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styles = require("@material-ui/core/styles");

var _editableHtml = require("@pie-lib/pie-toolbox/editable-html");

var _mathRendering = require("@pie-lib/pie-toolbox/math-rendering");

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = (0, _getPrototypeOf2["default"])(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = (0, _getPrototypeOf2["default"])(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return (0, _possibleConstructorReturn2["default"])(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

var styles = function styles(theme) {
  return {
    responseArea: {
      paddingBottom: theme.spacing.unit * 2.5
    },
    errorText: {
      fontSize: theme.typography.fontSize - 2,
      color: theme.palette.error.main,
      paddingTop: theme.spacing.unit
    }
  };
};

var ResponseAreaComponent = /*#__PURE__*/function (_React$Component) {
  (0, _inherits2["default"])(ResponseAreaComponent, _React$Component);

  var _super = _createSuper(ResponseAreaComponent);

  function ResponseAreaComponent() {
    (0, _classCallCheck2["default"])(this, ResponseAreaComponent);
    return _super.apply(this, arguments);
  }

  (0, _createClass2["default"])(ResponseAreaComponent, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      // eslint-disable-next-line react/no-find-dom-node
      var domNode = _reactDom["default"].findDOMNode(this);

      (0, _mathRendering.renderMath)(domNode);
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props = this.props,
          editableHtmlProps = _this$props.editableHtmlProps,
          responseAreasError = _this$props.responseAreasError,
          responseAreaChoicesError = _this$props.responseAreaChoicesError,
          classes = _this$props.classes;
      return /*#__PURE__*/_react["default"].createElement("div", {
        className: classes.responseArea
      }, /*#__PURE__*/_react["default"].createElement(_editableHtml.EditableHtml, editableHtmlProps), responseAreasError && /*#__PURE__*/_react["default"].createElement("div", {
        className: classes.errorText
      }, responseAreasError), responseAreaChoicesError && /*#__PURE__*/_react["default"].createElement("div", {
        className: classes.errorText
      }, responseAreaChoicesError));
    }
  }]);
  return ResponseAreaComponent;
}(_react["default"].Component);

(0, _defineProperty2["default"])(ResponseAreaComponent, "propTypes", {
  editableHtmlProps: _propTypes["default"].object.isRequired,
  classes: _propTypes["default"].object.isRequired,
  responseAreasError: _propTypes["default"].string,
  responseAreaChoicesError: _propTypes["default"].string
});

var _default = (0, _styles.withStyles)(styles)(ResponseAreaComponent);

exports["default"] = _default;
//# sourceMappingURL=response-area.js.map